# 移动端0.5px解决方案



# 使用方式
## 在html中使用

```html
    <!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
        <link rel="stylesheet" href="retain.min.css">
        <style>
            .btn {
                width: 150px;
                height: 40px;
                text-align: center;
                line-height: 40px;
                font-size: 14px;
                margin: 20px;
            }
            .box {
                width: 375px;
                margin: 0 auto;
                display: flex;
                justify-content: space-around;
                flex-wrap: wrap;
            }
            /* 覆盖默认线框颜色和圆角 */
            [retain] {
                --retain-border-color: #000000;
                --retain-border-radius: 10px;
            }
        </style>
    </head>
    <body>
        <div class="box">
            <div retain="border:top" class="btn">上边框</div>
            <div retain="border:bottom" class="btn">下边框</div>
            <div retain="border:left" class="btn">左边框</div>
            <div retain="border:right" class="btn">右边框</div>
            <div retain="border" class="btn">四周边框</div>
            <div retain="round" class="btn">四周边框(圆角)</div>
        </div>
    </body>
    </html>
```

Install with npm:

```shell
npm install retain.css --save
```

Install with yarn:

```shell
yarn add retain.css
```

## 在css中使用
```css
@import url('retain.css/retain.min.css');
```
- 在css中使用，只需要在css文件中引入retain.css即可。


## 在js中使用
```js
import 'retain.css/retain.min.css'
```
